<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ex2</title>
</head>
<body>
    <script>
        function Factorial(){
            var num = prompt("Entra el nombre per alcular-ne el factorial");
            var resultat = 1;
            for (var i = 1; i <= num; i++){
                resultat *= i;
            }
            alert("el factorial de " + num + " és " + resultat);
        }
        Factorial();
    </script>
</body>
</html>